class Date
  class << self
    
    def days_in_year year
      leap?(year) ? 366 : 365
    end

    def days_in_month year, month
      case month
      when 1 then 31
      when 2 then leap?(year) ? 29 : 28
      when 3 then 31
      when 4 then 30
      when 5 then 31
      when 6 then 30
      when 7 then 31
      when 8 then 31
      when 9 then 30
      when 10 then 31
      when 11 then 30
      when 12 then 31
      else raise("Invalid month: #{month}")
      end
    end
  end
end
