class Fixnum

  def years_ago
    (self * (Date.leap?(Time.now.year) ? 366 : 265) * 86400).seconds_ago
  end

  def months_ago
    t = Time.now
    (self * Date.days_in_month(t.year, t.month) * 86400).seconds_ago
  end

  def days_ago
    (self * 86400).seconds_ago
  end

  def hours_ago
    (self * 3600).seconds_ago
  end

  def minutes_ago
    (self * 60).seconds_ago
  end

  def minutes
    self*60
  end

  def hours
    self*3600
  end

  def days
    self*86400
  end

  def weeks
    7*days
  end

  def seconds_ago
    Time.now - self
  end
end
